Subject: Re: Bug#479544: dircolors: please eliminate duplicates before writing variable

From: Jim Meyering <[email-masked]>
Date: Mon, 05 May 2008 19:29:27 +0200

martin f krafft <[email-masked]> wrote:
> Package: coreutils
> Version: 6.10-6
> Severity: wishlist
> File: /usr/bin/dircolors
>
> If I specify a filetype twice in the dircolors file, the resulting
> LS_COLORS will have the entry twice:
>
>   lapse:/% echo "EXEC 00\nEXEC 01" | dircolors -
>   LS_COLORS='ex=00:ex=01:';
>   export LS_COLORS
>
> While /bin/ls works fine with it and prefers the last setting over
> previous ones, e.g. zsh's completion system works the other way.
>
> I realise I could be filing this as a bug against zsh, but that
> would be asking zsh to work around a shortcoming in the dircolors
> "API".
>
> Instead, would it be possible to fix dircolors so that it eliminates
> earlier entries if the dircolors file overrides entries for a given
> file class?
>
> The rationale is that I need dircolors --print-database output in my
> own dircolors file if I don't want to hardcode defaults by hand. If
> I do that, I'd prefer to keep customisation separate.

Good idea.
If no one volunteers to do this soon
I'll put it on the TODO list.